CREATE ENDPOINT [Endpoint_Mirroring] 
	AUTHORIZATION [rmplc\tpullen]
	STATE=STARTED
	AS TCP (LISTENER_PORT = 7022, LISTENER_IP = ALL)
	FOR DATA_MIRRORING (ROLE = PARTNER, AUTHENTICATION = WINDOWS NEGOTIATE
, ENCRYPTION = REQUIRED ALGORITHM RC4)
GO

CREATE LOGIN [tpullenxplap\sqlsvc] FROM WINDOWS ;
GO
-- Grant connect permissions on endpoint to login account of witness.
GRANT CONNECT ON ENDPOINT::Endpoint_Mirroring TO [tpullenxplap\sqlsvc];
GO

backup database bugibba to disk = 'c:\temp\bugibba.bak' with init, stats=20, compression

backup log bugibba to disk = 'c:\temp\bugibba_log.bak' with init, compression

--set mirror for principal on principal second
ALTER DATABASE bugibba
	SET PARTNER = 'TCP://tpullenxplap.internal.rmplc.net:5022'
	

