--create mirroring endpoint
CREATE ENDPOINT [Endpoint_Mirroring] 
	AUTHORIZATION [dbo]
	STATE=STARTED
	AS TCP (LISTENER_PORT = 7022, LISTENER_IP = ALL)
	FOR DATA_MIRRORING (ROLE = PARTNER, AUTHENTICATION = WINDOWS NEGOTIATE
, ENCRYPTION = REQUIRED ALGORITHM RC4)
GO

--create service account login
CREATE LOGIN [tpullenxplap\sqlsvc] FROM WINDOWS ;
GO
-- Grant connect permissions on endpoint to login account of witness.
GRANT CONNECT ON ENDPOINT::Endpoint_Mirroring TO [tpullenxplap\sqlsvc];
GO

--restore database with no recovery
restore database bugibba
from disk = 'c:\temp\bugibba.bak'
with move 'bugibba' to 'C:\mssql\data\mssqlserver\bugibba.mdf',
move 'bugibba_log' to 'C:\mssql\log\mssqlserver\bugibba_log.ldf',
stats=10, norecovery

--restore log with no recovery
restore log bugibba 
from disk = 'c:\temp\bugibba_log.bak'
with norecovery